Subject: Re: [TR] Now TR3 Glove Box in ABS Plastic. AVAILABLE NOW. (JOSEPH ALEXANDER)

From: JOSEPH ALEXANDER <[email-masked]>
Date: Mon, 8 Jun 2026 11:29:06 -0500

We will be at Mosport shortly. Do you still need a box?   Catching up on old emails.

Joe Alexander
4505 Donald Dr
Cedar Falls, IA 50613
Alexander Racing Ent.
Website: Gasketinnovations.com
Email: [email-masked]
Cell:  319.464.4711

> On Jan 9, 2026, at 2:15 PM, Dave MacKay <[email-masked]> wrote:
> 
> Thanks for making us aware that the glovebox is now available in ABS.
> 
> IIRC, Moss carries some of your other products. Will Moss be carrying your
> ABS glovebox?
> 
> Since I'm in Canada and you are only selling in the USA I could buy
> through Moss.
> 
> Dave MacKay
> 1960 TR3A s/n 68639L
> near Toronto, Canada
> 
> Message: 3
>> Date: Fri, 9 Jan 2026 10:50:55 -0600
>> From: JOSEPH ALEXANDER <[email-masked]>
>> Subject: Re: [TR] Triumphs Digest, Vol 19, Issue 6.   Now TR3 Glove
>>    Box in ABS Plastic.  AVAILABLE NOW.
>> 
>> I am fabricating glove boxes. I did one for my TR3. Missing for 40
> years???
>> 
>> Any interest?  Direct replacement.   US only. Same price as cardboard
> fiber version.
>> 
>> Thanks,
>> 
>> Joe Alexander
>> 4505 Donald Dr
>> Cedar Falls, IA 50613
>> Alexander Racing Ent.
>> Website: Gasketinnovations.com
>> Email: [email-masked]
>> Cell:  319.464.4711

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]